#!/usr/bin/env python

## 
 # ###################################################################
 #  FiPy - Python-based finite volume PDE solver
 # 
 #  FILE: "parameters.py"
 
 #  Author: Jonathan Guyer <guyer@nist.gov>
 #  Author: Daniel Wheeler <daniel.wheeler@nist.gov>
 #    mail: NIST
 #     www: http://ctcms.nist.gov/fipy
 #  
 # ========================================================================
 # This software was developed at the National Institute of Standards
 # and Technology by employees of the Federal Government in the course
 # of their official duties.  Pursuant to title 17 Section 105 of the
 # United States Code this software is not subject to copyright
 # protection and is in the public domain.  FiPy is an experimental
 # system.  NIST assumes no responsibility whatsoever for its use by
 # other parties, and makes no guarantees, expressed or implied, about
 # its quality, reliability, or any other characteristic.  We would
 # appreciate acknowledgement if the software is used.
 # 
 # This software can be redistributed and/or modified freely
 # provided that any derivative works bear some notice that they are
 # derived from it, and any modified versions bear some notice that
 # they have been modified.
 # ========================================================================
 #  
 # ###################################################################
 ##

"""

Input file for parameters

"""

parameters = { 'case 1' : { 'P3'             : 0.21967,
                            'P2'             : 0.47202,
                            'KC'             : 0.5,
                            'chiK'           : 0.10559,
                            'R'              : 0.0,
                            'lambdaK'        : 2.5,
                            'kappaK'         : 1.2,
                            'KM'             : 0.031217,
                            'TC'             : 0.55529,
                            'chiT'           : 0.33730,
                            'lambdaT'        : 30.0,
                            'zetaT'          : 0.002801,
                            'TM'             : 0.11045,
                            'lambdaTstar'    : 0.18627,
                            'kappam'         : 1.11,
                            'kappac'         : 10.0,
                            'zetaPITP'       : 0.025,
                            'diffusionCoeff' : 0.01,
                            'chi3'           : 560.,
                            'kappa3'         : 0.05,
                            'zeta3PITP'      : 0.025,
                            'zeta3'          : 0.35,
                            'lambda3'        : 80.0,
                            'zeta3T'         : 0.2,
                            'chi2'           : 0.08,
                            'lambda2'        : 40.0,
                            'zeta2T'         : 0.08,
                            'alphaKstar'     : 0.8,
                            'lambdaKstar'    : 0.0395,
                            'kappaKstar'     : 0.001
                            },

               'case 2' : { 'P3'             : 0.38840,
                            'P2'             : 0.90689,
                            'KC'             : 0.5,
                            'chiK'           : 0.038942,
                            'R'              : 0.0,
                            'lambdaK'        : 0.6,
                            'kappaK'         : 5.0,
                            'KM'             : 0.03777,
                            'TC'             : 0.6017,
                            'chiT'           : 0.3766,
                            'lambdaT'        : 30.0,
                            'zetaT'          : 0.0031386,
                            'TM'             : 0.09352,
                            'lambdaTstar'    : 0.176,
                            'kappam'         : 10.0,
                            'kappac'         : 1.1111,
                            'zetaPITP'       : 0.025,
                            'diffusionCoeff' : 0.01,
                            'chi3'           : 320.,
                            'kappa3'         : 0.05,
                            'zeta3PITP'      : 0.025,
                            'zeta3'          : 0.2,
                            'lambda3'        : 40.0,
                            'zeta3T'         : 0.2,
                            'chi2'           : 0.04,
                            'lambda2'        : 20.0,
                            'zeta2T'         : 0.08,
                            'alphaKstar'     : 0.8,
                            'lambdaKstar'    : 0.0144,
                            'kappaKstar'     : 0.001,
                            'G'              : 0.05,
                            'S'              : 2.
                            }
               
               }
                         
    
                      
                                                  
